<template>
    <div class="tabs-container">
      <v-btn v-for="tab in tabs" :key="tab" @click="selected = tab;">{{tab}} </v-btn>
      <component :is="selected"></component>
    </div>
</template>

<script>
  import Dashboard from "./Dashboard";
  import Heroes from "./Heroes";

  export default {
    name: 'TabContainer',
    props: {
      msg: String
    },
    data: function() {
      return {
        tabs: ["Dashboard", "Heroes"],
        selected: "Dashboard"
      };
    },
    components:{
      Dashboard,
      Heroes
    },
    methods:{

    }

}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
    h3 {
      margin: 40px 0 0;
    }
    ul {
      list-style-type: none;
      padding: 0;
    }
    li {
      display: inline-block;
      margin: 0 10px;
    }
    a {
        color: #42b983;
    }
    .hello
    {
      width: 100%;
    }
    .tabs-container
    {
        height: 100%;
        overflow-y: auto;
        width: 100%;
        background-color: #2c3e50;
    }
</style>
